class ProcedureCategoryListModel {
  List<EntityList> entityList;
  int rowcount;
  dynamic statusMessage;

  ProcedureCategoryListModel(
      {this.entityList, this.rowcount, this.statusMessage});

  ProcedureCategoryListModel.fromJson(Map<String, dynamic> json) {
    if (json['entityList'] != null) {
      entityList = new List<EntityList>();
      json['entityList'].forEach((v) {
        entityList.add(new EntityList.fromJson(v));
      });
    }
    rowcount = json['rowcount'];
    statusMessage = json['statusMessage'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.entityList != null) {
      data['entityList'] = this.entityList.map((v) => v.toJson()).toList();
    }
    data['rowcount'] = this.rowcount;
    data['statusMessage'] = this.statusMessage;
    return data;
  }
}

class EntityList {
  int categoryId;
  String categoryName;

  EntityList({this.categoryId, this.categoryName});

  EntityList.fromJson(Map<String, dynamic> json) {
    categoryId = json['categoryId'];
    categoryName = json['categoryName'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['categoryId'] = this.categoryId;
    data['categoryName'] = this.categoryName;
    return data;
  }
}
